import { GitHubProvider } from './git/github-provider';
import type { BuddyBotConfig, Issue, PackageUpdate, UpdateScanResult } from './types';
export declare class Buddy {
  constructor(config: BuddyBotConfig, projectPath?: string);
  scanForUpdates(): Promise<UpdateScanResult>;
  createPullRequests(scanResult: UpdateScanResult): Promise<void>;
  generateAllFileUpdates(updates: PackageUpdate[]): Promise<Array<{ path: string, content: string, type: 'update' }>>;
  run(): Promise<UpdateScanResult>;
  checkPackages(packageNames: string[]): Promise<PackageUpdate[]>;
  checkPackagesWithPattern(pattern: string): Promise<PackageUpdate[]>;
  getConfig(): BuddyBotConfig;
  getProjectPath(): string;
  checkAndCloseObsoletePRs(gitProvider: GitHubProvider, dryRun?: boolean): Promise<void>;
  checkAndCloseSatisfiedPRs(gitProvider: GitHubProvider, dryRun?: boolean): Promise<void>;
  createOrUpdateDashboard(): Promise<Issue>;
}
